import type Action from "../Interfaces/IsAction";
import type HasActionConsoleData from "../Interfaces/HasActionConsoleData";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionConsole implements Action {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    private data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data: HasActionConsoleData);
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run(): boolean;
}
