import type Form from "../Form/Form";
import type HasActionSubmissionData from "../Interfaces/HasActionSubmitData";
import Action from "./Action";
/**
 * Submit action
 *
 * @since 1.0.0
 */
export default class ActionSubmit extends Action {
    private actionData;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param actionData Action data.
    *
    * @since 1.0.0
    */
    constructor(form: Form, actionData: HasActionSubmissionData);
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run(): void;
    /**
     *
     * @param url
     * @param data
     * @returns
     */
    private fetch;
}
