import type HasTriggerData from "../Interfaces/HasTriggerData";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Triggers {
    private triggers;
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(triggersData: HasTriggerData[], formValues?: {});
    /**
     * Execute all triggers.
     *
     * @since 1.0.0
     */
    execute(): void;
}
