import type IsAction from "../Interfaces/IsAction";
import type HasActionAlertData from "../Interfaces/HasActionAlertData";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionAlert implements IsAction {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    private data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data: HasActionAlertData);
    /**
     * Run action.
     *
     * @since 1.0.0
     */
    run(): boolean;
}
