/**
 * Submit action data.
 *
 * @since 1.0.0
 */
export default interface HasActionSubmitData {
    readonly type: string;
    readonly endpoint: string;
    readonly method: 'GET' | 'POST' | 'PUT' | 'PUSH' | 'DELETE';
    readonly success: string;
    readonly error: string;
}
