import type HasActionAlertData from "./HasActionAlertData";
import type HasActionModalData from "./HasActionModalData";
import type HasConditionData from "./HasConditionData";
/**
 * Trigger data interface.
 *
 * @since 1.0.0
 */
export default interface HasTriggerData {
    readonly conditions: HasConditionData[];
    readonly actions: HasActionAlertData[] | HasActionModalData[];
}
